// Custom zoom scaling
pref("toolkit.zoomManager.zoomValues", ".25,.5,.65,.75,.8,.85,.9,.95,1,1.05,1.1,1.15,1.2,1.25,1.35,1.5,1.75,2,2.5,3,5");

// Disable built-in translator (beta)
pref("browser.translations.automaticallyPopup", false);
pref("browser.translations.enable", false);
pref("browser.translations.panelShown", false);

// Disable close window with last tab
pref("browser.tabs.closeWindowWithLastTab", false);

// Don't disable extensions in the application directory
pref("extensions.autoDisableScopes", 11);

// Enable DNS over HTTPS
pref("network.trr.mode", 2);
pref("network.trr.uri", "https://mozilla.cloudflare-dns.com/dns-query");

// Enable Experimental Features
pref("browser.preferences.experimental", true);

// Enable Multi-Account Containers
pref("privacy.userContext.enabled", true);
pref("privacy.userContext.ui.enabled", true);

// Enable Mute Button on Picture-in-Picture Window
pref("media.videocontrols.picture-in-picture.audio-toggle.enabled", true);

// Enable Native Tab Grouping (beta)
pref("browser.tabs.groups.enabled", true);

// Enable VA-API
pref("media.ffmpeg.vaapi.enabled", true);

// Enable XDG Desktop Portal
pref("widget.use-xdg-desktop-portal.file-picker", 1);
pref("widget.use-xdg-desktop-portal.location", 1);
pref("widget.use-xdg-desktop-portal.mime-handler", 1);
pref("widget.use-xdg-desktop-portal.open-uri", 1);
pref("widget.use-xdg-desktop-portal.settings", 1);

// Some KDE integration tweaks
pref("browser.shell.checkDefaultBrowser", false);
pref("media.hardwaremediakeys.enabled", false);

// Use LANG environment variable to choose locale
pref("intl.locale.requested", "");

// Use system-provided dictionaries
pref("spellchecker.dictionary_path", "/usr/share/hunspell");
